% demo script for measure matching algorithm
%
% author : Joan Glaunès - joan.glaunes@free.fr

% build data
clear s
thetax = (0:.03:1)*2*pi;
thetay = (0:.01:1)*2*pi;
s.x = [cos(thetax)+1;sin(thetax)+1;zeros(size(thetax))];
s.y = [(cos(thetay)+1).^3/3;(sin(thetay)+1).^3/3;zeros(size(thetay))];

% parameters
s.useoptim = 'adaptdesc';
s.optim_verbosemode = 1;

% process minimization
tic
s = measmatch(s);
toc

% display result
s.showtraj = 1;
s.showgrid = 1;
affiche(s);
